Foxit PDF SDK

Static Public Member Functions | List of all members
foxit::pdf::TimeStampServerMgr Class Reference

Inherits Object.

## Static Public Member Functions
static TimeStampServer | AddServer (const WString &server_name, const WString &server_url, const WString &user_name, const WString &password)
| Add a time stamp server to the manager. More...
static TimeStampServer | GetDefaultServer ()
| Get default time stamp server object. More...
static TimeStampServer | GetServer (int index)
| Get time stamp server with specified index. More...
static int | GetServerCount ()
| Get time stamp server count. More...
static int | GetServerIndex (const TimeStampServer &server)
| Get the index of a speicified time stamp server object. More...
static ErrorCode | Initialize ()
| Initialize time stamp server manager. More...
static void | Release ()
| Release time stamp server manager. More...
static void | RemoveServer (const TimeStampServer &server)
| Remove a time stamp server from the manager, by index. More...
static void | RemoveServer (int index)
| Remove a time stamp server from the manager, by index. More...
static void | SetDefaultServer (const TimeStampServer &server)
| Set default time stamp server object by index. More...
static void | SetDefaultServer (int index)
| Set default time stamp server object by index. More...

## Detailed Description

Time stamp server manager is used to manage some time stamp servers. The default time stamp server in this manager will be used in default signature callback for filter "Adobe.PPKLite" with sub filter "ETSI.CAdES.detached" and filter "Adobe.PPKLite" with sub filter "ETSI.RFC3161". So before signing or verifying signatures in these filter-subfitler pair by using default signature callback in Foxit PDF SDK, please ensure that a valid pdf::TimeStampCallback object has been set through Library::SetTimeStampCallback or the time stamp server manager has been initialized and the default server is set, if both are set, Foxit PDF SDK will use the pdf::TimeStampCallback.

## Member Function Documentation

## ◆ AddServer()

static TimeStampServer foxit::pdf::TimeStampServerMgr::AddServer | ( | const WString & | server_name,
|  | const WString & | server_url,
|  | const WString & | user_name,
|  | const WString & | password
| ) |  |
| static

Add a time stamp server to the manager.

Parameters

  [in] | server_name | Name of time stamp server. It should not be an empty string.
  [in] | server_url | URL of time stamp server. It should not be an empty string.
  [in] | user_name | User name for the time stamp server. If no need, please pass an empty string.
  [in] | password | Password for the time stamp server. If no need, please pass an empty string.

Returns
  The newly added time stamp server object.

## ◆ GetDefaultServer()

static TimeStampServer foxit::pdf::TimeStampServerMgr::GetDefaultServer | ( |  | ) |
| static

Get default time stamp server object.

Returns
  A time stamp server object which is the default one.

## ◆ GetServer()

static TimeStampServer foxit::pdf::TimeStampServerMgr::GetServer | ( | int | index | ) |
| static

Get time stamp server with specified index.

Parameters

  [in] | index | Time stamp server index. Valid range: from 0 to (count-1). count is returned by function TimeStampServerMgr::GetServerCount.

Returns
  A time stamp server object.

## ◆ GetServerCount()

static int foxit::pdf::TimeStampServerMgr::GetServerCount | ( |  | ) |
| static

Get time stamp server count.

Returns
  Server count.

## ◆ GetServerIndex()

static int foxit::pdf::TimeStampServerMgr::GetServerIndex | ( | const TimeStampServer & | server | ) |
| static

Get the index of a speicified time stamp server object.

Parameters

  [in] | server | A time stamp server object.

Returns
  Index of specified time stamp server object.

## ◆ Initialize()

static ErrorCode foxit::pdf::TimeStampServerMgr::Initialize | ( |  | ) |
| static

Initialize time stamp server manager.

This function should be called first before any other functions in TimeStampServerMgr can be called.

Returns
  foxit::e_ErrSuccess means success.
  For more information about error code values, please refer to values starting from foxit::e_ErrSuccess.

## ◆ Release()

static void foxit::pdf::TimeStampServerMgr::Release | ( |  | ) |
| static

Release time stamp server manager.

User can call this function to release time stamp server manager when no need to use it any more. After this function is called, if user wants to use time stamp server manager again, please call function TimeStampServerMgr::Initialize again.

Returns
  None.

## ◆ RemoveServer() [1/2]

static void foxit::pdf::TimeStampServerMgr::RemoveServer | ( | const TimeStampServer & | server | ) |
| static

Remove a time stamp server from the manager, by index.

Parameters

  [in] | server | A time stamp server object to be removed from the manager. If input server object is invalid, this function will do nothing and return directly.

Returns
  None.

## ◆ RemoveServer() [2/2]

static void foxit::pdf::TimeStampServerMgr::RemoveServer | ( | int | index | ) |
| static

Remove a time stamp server from the manager, by index.

Parameters

  [in] | index | Index of the time stamp server which is to be removed from the manager.

Returns
  None.

## ◆ SetDefaultServer() [1/2]

static void foxit::pdf::TimeStampServerMgr::SetDefaultServer | ( | const TimeStampServer & | server | ) |
| static

Set default time stamp server object by index.

Parameters

  [in] | server | A time stamp server object to be set as default server. If input server object is invalid, this function wil throw exception foxit::e_ErrNotFound.

Returns
  None.

## ◆ SetDefaultServer() [2/2]

static void foxit::pdf::TimeStampServerMgr::SetDefaultServer | ( | int | index | ) |
| static

Set default time stamp server object by index.

Parameters

  [in] | index | Index of a time stamp server to be set as default one.Valid range: from 0 to (count-1). count is returned by function TimeStampServerMgr::GetServerCount.

Returns
  None.